libpostproc54-32bit-3.4.2-lp150.2.1.x86_64.rpm


Advertisement

Description

libpostproc54-32bit - FFmpeg post-processing library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename libpostproc54-32bit-3.4.2-lp150.2.1.x86_64.rpm
Package name libpostproc54-32bit
Package version 3.4.2
Package release lp150.2.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://ffmpeg.org/
License LGPL-2.1-or-later AND GPL-2.0-or-later
Maintainer -
Download size 72.50 KB
Installed size 97.52 KB
A library with video postprocessing filters, such as deblocking and
deringing filters, noise reduction, automatic contrast and brightness
correction, linear/cubic interpolating deinterlacing.

Alternatives

Package Version Architecture Repository
libpostproc54-32bit-3.4.4-lp150.10.4.x86_64.rpm 3.4.4 x86_64 Packman
libpostproc54-32bit - - -

Requires

Name Value
libavutil.so.55 -
libavutil.so.55(LIBAVUTIL_55) -
libc.so.6(GLIBC_2.4) -
libpthread.so.0 -

Provides

Name Value
libpostproc.so.54 -
libpostproc.so.54(LIBPOSTPROC_54) -
libpostproc54-32bit = 3.4.2-lp150.2.1
libpostproc54-32bit(x86-32) = 3.4.2-lp150.2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpostproc54-32bit-3.4.2-lp150.2.1.x86_64.rpm
Source Package ffmpeg-3.4.2-lp150.2.1.src.rpm

Install Howto

Install libpostproc54-32bit rpm package:

# zypper install libpostproc54-32bit

Files

Path
/usr/lib/libpostproc.so.54
/usr/lib/libpostproc.so.54.7.100

Changelog

2018-03-23 - alarrosa@suse.com
- Create a new package ffmpeg-private-devel which contains some
headers under /usr/include/ffmpeg/private that were not installed
by upstream. Those headers are needed by the libav package in order
to build avconv and other tools using the libav* libraries generated
by ffmpeg instead of its own. No other package should require
ffmpeg-private-devel.
2018-03-21 - alarrosa@suse.com
- Build and install also the sidxindex tool
2018-02-20 - bjorn.lie@gmail.com
- Enable mpeg1video and mpeg2video in enable_decoders, and remove
it from disable-decoders call given to configure, mpeg2 now
available in openSUSE.
2018-02-13 - nico.kruber@gmail.com
- enable video stabilization/deshaking via libvidstab (optional)
2018-02-12 - jengelh@inai.de
- Update to new bugfix release 3.4.2
* Fix integer overflows, multiplication overflows, undefined
shifts, and verify buffer lengths.
* avfilter/vf_transpose: Fix used plane count
[boo#1078488, CVE-2018-6392]
* avcodec/utvideodec: Fix bytes left check in decode_frame()
[boo#1079368, CVE-2018-6621]
- Enable use of libzvbi for displaying teletext subtitles.
- Fixed a DoS in swri_audio_convert(), added cve-2017-17555.diff
[boo#1072366, CVE-2017-17555].
2017-12-11 - jengelh@inai.de
- Update to new bugfix release 3.4.1
* Fixed integer overflows, division by zero, illegal bit shifts
* Fixed the gmc_mmx function which failed to validate width
and height [boo#1070762, CVE-2017-17081]
* Fixed out-of-bounds in VC-2 encoder [boo#1069407, CVE-2017-16840]
* ffplay: use SDL2 audio API
- Removed 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
(upstreamed).
2017-12-01 - jengelh@inai.de
- Add 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
[boo#1070762]
2017-11-30 - jslaby@suse.com
- install also doc/ffserver.conf
2017-10-31 - jengelh@inai.de
- Get rid of ffmpeg-pkgconfig-version.patch.
2017-10-16 - jengelh@inai.de
- Update to new upstream release 3.4
* New video filters: deflicker, doublewave, lumakey, pixscope,
oscilloscope, robterts, limiter, libvmaf, unpremultiply,
tlut2, floodifll, pseudocolor, despill, convolve, vmafmotion.
* New audio filters: afir, crossfeed, surround, headphone,
superequalizer, haas.
* Some video filters with several inputs now use a common set
of options: blend, libvmaf, lut3d, overlay, psnr, ssim. They
must always be used by name.
* librsvg support for svg rasterization
* spec-compliant VP9 muxing support in MP4
* Remove the libnut and libschroedinger muxer/demuxer wrappers
* drop deprecated qtkit input device (use avfoundation instead)
* SUP/PGS subtitle muxer
* VP9 tile threading support
* KMS screen grabber
* CUDA thumbnail filter
* V4L2 mem2mem HW assisted codecs
* Rockchip MPP hardware decoding
* (Not in openSUSE builds, only original ones:)
* Gremlin Digital Video demuxer and decoder
* Additional frame format support for Interplay MVE movies
* Dolby E decoder and SMPTE 337M demuxer
* raw G.726 muxer and demuxer, left- and right-justified
* NewTek NDI input/output device
* FITS demuxer, muxer, decoder and encoder
- Fixed a double free in huffyuv [boo#1064577, CVE-2017-15186]
- Fixed an out-of-bounds in ffv1dec [boo#1066428, CVE-2017-15672]
- Fixed a denial of service in rtmppkt [boo#1082335, CVE-2017-11665]

See Also

Package Description
libpotrace0-1.15-lp150.3.3.x86_64.rpm Library for Tracing a Bitmap to Scalable Outline Image
libpowerman0-2.3.24-lp150.1.6.x86_64.rpm Libraries for applications using PowerMan
libpq5-10.3-lp150.2.2.x86_64.rpm Shared Libraries Required for PostgreSQL Clients
libpq5-32bit-10.3-lp150.2.2.x86_64.rpm Shared Libraries Required for PostgreSQL Clients
libpqos1-1.1.1-lp150.1.11.x86_64.rpm Runtime qpos library
libpqos1-devel-1.1.1-lp150.1.11.x86_64.rpm Development package for libpqos1
libpqxx-5_0-5.0.1-lp150.1.4.x86_64.rpm C++ Client Library for PostgreSQL
libpqxx-devel-5.0.1-lp150.1.4.x86_64.rpm C++ Client Library for PostgreSQL
libpqxx-doc-5.0.1-lp150.1.4.noarch.rpm Documentation for libpqxx
libprelude-devel-4.0.0-lp150.1.9.x86_64.rpm Development files for libprelude
libprelude-devel-bindings-4.0.0-lp150.1.9.x86_64.rpm Development files for libprelude
libprelude-doc-4.0.0-lp150.1.9.x86_64.rpm Libprelude documentation
libprelude23-4.0.0-lp150.1.9.x86_64.rpm Prelude Libraries
libpreludecpp8-4.0.0-lp150.1.9.x86_64.rpm Prelude Libraries
libpreludedb-devel-4.0.0-lp150.1.12.x86_64.rpm Development files for libpreludedb
Advertisement
Advertisement